编程实现设置mline的对正和比例
系统变量cmlscale,cmljust,在命令行设置后,用addmline 添加多线,并不是设置的参数,怎么回事那?请大侠指点 怎么没有人啊,Public Sub dd()
Dim mLineObj As AcadMLine<BR> Dim vertexList(0 To 17) As Double<BR> <BR> ' Define data for new object<BR> vertexList(0) = 4: vertexList(1) = 7: vertexList(2) = 0<BR> vertexList(3) = 5: vertexList(4) = 7: vertexList(5) = 0<BR> vertexList(6) = 6: vertexList(7) = 7: vertexList(8) = 0<BR> vertexList(9) = 4: vertexList(10) = 6: vertexList(11) = 0<BR> vertexList(12) = 5: vertexList(13) = 6: vertexList(14) = 0<BR> vertexList(15) = 6: vertexList(16) = 6: vertexList(17) = 6
' Create the line in model space<BR> ThisDrawing.SendCommand "_cmljust 1 " '设置对正方式<BR> ThisDrawing.SendCommand "_cmlscale 4 " '设置比例<BR> <BR> Set mLineObj = ThisDrawing.ModelSpace.AddMLine(vertexList)
ThisDrawing.Application.ZoomAll<BR> <BR> MsgBox "A new MLine has been added to the drawing."
End Sub<BR>结果比例是1啊,55555555555555
页:
[1]